---
title: Playlists/Dynamic Endpoints (2017/01)
slug: legacy-docs/playlistsdynamic-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

Use these endpoints to manage dynamic playlists on the network.

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Playlists/Dynamic*

## GET  /

Retrieves a list of dynamic playlists on the network.

**Parameters**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

`sort` string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of dynamic playlist instances exceeds the `pageSize`.

`pageSize` int

The maximum number of dynamic playlist instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## POST  /

Create a new dynamic playlist on the network.

**Request Body**

The [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G).

## DELETE  /

Removes dynamic playlists, specified by a filter, from a network. This allows multiple dynamic playlists to be deleted at once.

**Parameters**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected dynamic playlists as an integer value.

## GET  /Count/ 

Returns the number of dynamic playlists on the network that match the specified filter criteria. If no filter is included, this call returns the total number of dynamic playlists on the network. 

**Parameters**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The number of dynamic playlists is returned as an integer value.

## GET  /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)

## GET  /\{id\:int}/ 

Returns the dynamic playlist instance with the specified id.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G)

## PUT  /\{id\:int}/ 

Modifies the specified dynamic playlist instance.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/ 

Removes the specified dynamic playlist from the network.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/ 

Returns the dynamic playlist instance with the specified name.

**Parameters**

`name` string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G)

## PUT  /&#x7B;name}/ 

Modifies the specified dynamic playlist instance.

**Parameters**

`name` string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Dynamic Playlists Entity](docId\:cc1MR0QLes6TSrkH4AH0G)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/ 

Removes the specified dynamic playlist from the network.

**Parameters**

`name` string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /\{id\:int}/Permissions/ 

Includes object permissions for a given dynamic playlist instance.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /\{id\:int}/Permissions/ 

Adds permissions to the specified dynamic playlist instance.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Permissions/ 

Removes permissions for the specified dynamic playlist.

**Parameters**

`id` int

A unique identifier for the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/Permissions/ 

Includes object permissions for a given dynamic playlist instance.

**Parameters**

`name`  string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /&#x7B;name}/Permissions/ 

Adds permissions to the specified dynamic playlist instance.

**Parameters**

`name`  string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/Permissions/ 

Removes permissions for the specified dynamic playlist.

**Parameters**

`name`  string

The name of the dynamic playlist instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
